| Apache Ignite C++

Public Member Functions | List of all members
ignite::thin::transactions::ClientTransactions Class Reference

Transactions client. More...

`#include <transactions.h>`

## Public Member Functions
| ClientTransactions (ignite::common::concurrent::SharedPointer< void > impl)
| Constructor. More...
| ClientTransactions ()
| Default constructor.
| ~ClientTransactions ()
| Destructor.
ClientTransaction | TxStart (TransactionConcurrency::Type concurrency=TransactionConcurrency::PESSIMISTIC, TransactionIsolation::Type isolation=TransactionIsolation::READ_COMMITTED, int64_t timeout=0, int32_t txSize=0)
| Start new transaction with completely clarify parameters. More...
ClientTransactions | withLabel (const std::string &lbl)
| Returns instance of. More...

## Detailed Description

Transactions client.

This is an entry point for Thin C++ Ignite transactions.

This class is implemented as a reference to an implementation so copying of this class instance will only create another reference to the same underlying object. Underlying object will be released automatically once all the instances are destructed.

## Constructor & Destructor Documentation

## ◆ ClientTransactions()

ignite::thin::transactions::ClientTransactions::ClientTransactions | ( | ignite::common::concurrent::SharedPointer< void > | impl | ) |
| inline

Constructor.

Parameters

  impl | Implementation.

## Member Function Documentation

## ◆ TxStart()

ClientTransaction ignite::thin::transactions::ClientTransactions::TxStart | ( | TransactionConcurrency::Type | concurrency = `TransactionConcurrency::PESSIMISTIC`,
|  | TransactionIsolation::Type | isolation = `TransactionIsolation::READ_COMMITTED`,
|  | int64_t | timeout = `0`,
|  | int32_t | txSize = `0`
| ) |  |
| inline

Start new transaction with completely clarify parameters.

Parameters

  concurrency | Transaction concurrency.
  isolation | Transaction isolation.
  timeout | Transaction timeout.
  txSize | Number of entries participating in transaction (may be approximate).

Returns
  ClientTransaction implementation.

## ◆ withLabel()

ClientTransactions ignite::thin::transactions::ClientTransactions::withLabel | ( | const std::string & | lbl | ) |
| inline

Returns instance of.

ClientTransactions

to mark each new transaction with a specified label.

Parameters

  label | Transaction label.

Returns
  ClientTransactions implementation.

The documentation for this class was generated from the following file:

- thin-client/include/ignite/thin/transactions/transactions.h

ignite::thin::transactions::ClientTransactions::ClientTransactions
ClientTransactions()
Default constructor.
Definition: thin-client/include/ignite/thin/transactions/transactions.h:60